showTree {codetools} | R Documentation

## Print Lisp-Style Representation of R Expression

### Description

Prints a Lisp-style representation of R expression. This can be useful for understanding how some things are parsed.

### Usage

    showTree(e, write = cat)

### Arguments

`e` | R expression.
`write` | function of one argument to write the result.

### Author(s)

Luke Tierney

### Examples

    showTree(quote(-3))
    showTree(quote("x"<-1))
    showTree(quote("f"(x)))

[Package codetools version 0.2-8 Index]